/******************************************************************************/
/*                                                                            */
/* Broadcom BCM5700 Linux Network Driver, Copyright (c) 2000 Broadcom         */
/* Corporation.                                                               */
/* All rights reserved.                                                       */
/*                                                                            */
/* This program is free software; you can redistribute it and/or modify       */
/* it under the terms of the GNU General Public License as published by       */
/* the Free Software Foundation, located in the file LICENSE.                 */
/*                                                                            */
/* History:                                                                   */
/*                                                                            */
/******************************************************************************/

#include "mm.h"

#if INCLUDE_TCP_SEG_SUPPORT
#include "fw_tcpseg1.h"

LM_STATUS LM_LoadStkOffLdFirmware(PLM_DEVICE_BLOCK pDevice)
{
  T3_FWIMG_INFO FwImgInfo;

  FwImgInfo.StartAddress = t3StkOffLdFwStartAddr;
  FwImgInfo.Text.Buffer = (PLM_UINT8)t3StkOffLdFwText;
  FwImgInfo.Text.Offset  = t3StkOffLdFwTextAddr;
  FwImgInfo.Text.Length  = t3StkOffLdFwTextLen;
  FwImgInfo.ROnlyData.Buffer = (PLM_UINT8)t3StkOffLdFwRodata;
  FwImgInfo.ROnlyData.Offset  = t3StkOffLdFwRodataAddr;
  FwImgInfo.ROnlyData.Length  = t3StkOffLdFwRodataLen;
  FwImgInfo.Data.Buffer = (PLM_UINT8)t3StkOffLdFwData;
  FwImgInfo.Data.Offset  = t3StkOffLdFwDataAddr;
  FwImgInfo.Data.Length  = t3StkOffLdFwDataLen;

  if (LM_LoadFirmware(pDevice,
                      &FwImgInfo,
                      T3_TX_CPU_ID,
                      T3_TX_CPU_ID) != LM_STATUS_SUCCESS)
    {
      return LM_STATUS_FAILURE;
    }
  
  return LM_STATUS_SUCCESS;
}

#endif /* INCLUDE_TCP_SEG_SUPPORT */
